@echo off

cd %~dp0
for /f "delims=" %%x in (config.ini) do (set "%%x")
set tempinfo=%temppath%\tempinfo.txt

CLS
:start
echo Batch FLV to MP4 Video Remuxer (Manual Frame Rate Input) v1
echo ===========================================================
echo Developed by Terra (terrapolis.org)
echo Contact @terra_zephead on Twitter
echo.
echo.
echo This program remuxes a directory of FLV files that contain AAC and H264 streams into MP4 without transcoding, so the entire conversion is lossless.
echo It is particularly useful for YouTube, MTV or VH1 FLV files. 
echo This version of the program DOES NOT automatically determine the right frame rate for the file(s).
echo It will prompt you to enter the frame rate.
echo.
echo NOTE: If the FLV file(s) does not contain AAC and H264 streams, this program will not work correctly.

echo.
echo.
pause
:setfps
CLS
echo START
echo -----
echo a: 15
echo b: 23.976
echo c: 25
echo d: 29.97
echo e: 30
echo.
set choice=''
set fps=''
set /p choice=Select the frame rate option, or enter your own frame rate: 
if not %choice%=='' set fps=%choice%
if %choice%==a set fps=15& goto choicemade
if %choice%==b set fps=23.976& goto choicemade
if %choice%==c set fps=25& goto choicemade
if %choice%==d set fps=29.97& goto choicemade
if %choice%==e set /a fps=30& goto choicemade
set /a testfps=%fps:~0,1%
if %testfps%==0 (
echo.
echo Invalid choice! Try again.
echo.
echo.
pause
goto setfps 
)
:choicemade
echo.
echo The frame rate you have chosen is %fps% fps.
echo.
echo.
pause
CLS
for %%a IN ("%sourcepath%\*.flv") do (
"%batchpath%\FLVExtractcl" -v -a -d "%temppath%" "%%a"

"%batchpath%\mp4box" -add "%temppath%\%%~na.264" -add "%temppath%\%%~na.aac" -fps %fps% "%destpath%\%%~na.mp4"

del "%temppath%\%%~na.264"
del "%temppath%\%%~na.aac"
)

echo.
echo Your file(s) has been saved to %destpath%\
echo.
pause

:end