@echo off

cd %~dp0
for /f "delims=" %%x in (config.ini) do (set "%%x")
set tempinfo=%temppath%\tempinfo.txt

CLS
:start
echo Batch FLV to MP4 Video Remuxer (With Auto Frame Rate Detector) v1
echo =================================================================
echo Developed by Terra (terrapolis.org)
echo Contact @terra_zephead on Twitter
echo.
echo.
echo This program remuxes a directory of FLV files that contain AAC and H264 streams into MP4 without transcoding, so the entire conversion is lossless.
echo It is particularly useful for YouTube, MTV or VH1 FLV files. 
echo This version of the program will automatically determine the right frame rate for the file(s).
echo.
echo NOTE: If the FLV file(s) does not contain AAC and H264 streams, this program will not work correctly.

echo.
echo.
pause

for %%a IN ("%sourcepath%\*.flv") do (
"%batchpath%\FLVExtractcl" -v -a -d "%temppath%" "%%a"
"%batchpath%\FLVExtractcl" "%%a" > %tempinfo%

setlocal enabledelayedexpansion
for /f "skip=5 tokens=4 delims= " %%x in (%tempinfo%) do (set fps=%%x)
"%batchpath%\mp4box" -add "%temppath%\%%~na.264" -add "%temppath%\%%~na.aac" -fps !fps! "%destpath%\%%~na.mp4"
endlocal

del "%temppath%\%%~na.264"
del "%temppath%\%%~na.aac"
del %tempinfo%
)

echo.
echo Your file(s) has been saved to %destpath%\
echo.
pause

:end