@echo off

cd %~dp0
for /f "delims=" %%x in (config.ini) do (set "%%x")

CLS
:start
echo MP4 Video Joiner (Using MP4Cat) v1
echo ========================================
echo Developed by Terra (terrapolis.org)
echo Contact @terra_zephead on Twitter
echo.
echo.
echo This program joins MP4 files together using MP4Cat.
echo.
echo WARNING: MP4s joined in this manner might have side effects such out-of-sync errors or being unplayable in iTunes. USE AT YOUR OWN RISK.
echo.
echo.
pause
CLS
echo START
echo -----
set /p finalfile=Please enter the output filename (exclude extension): 
set "tempfile=%finalfile%_temp.mp4"
set "finalfile=%finalfile%.mp4"
set tempstr=
set valid=0

setlocal enabledelayedexpansion
for %%a IN ("%sourcepath%\*.mp4") do (
set tempstr=!tempstr! "%%a"
set valid=1
)

if %valid%==0 (
echo There are no available files to join.
endlocal
echo.
echo.
pause
goto end
)

"%batchpath%\mp4cat" -o "%temppath%\%tempfile%" %tempstr%
endlocal

"%batchpath%\ffmpeg" -i "%temppath%\%tempfile%" -vcodec copy -acodec copy -y "%destpath%\%finalfile%"
del "%temppath%\%tempfile%"

echo.
echo Your file(s) has been saved to %destpath%\
echo.
pause

:end